module UU
  module OS
    class Logger

      # Enumeration of available logger levels.
      class LogLevel
        
        # The ERROR level designates error events which prevent normal program
        # execution.
        #
        # This level is typically configured in production environment. Abusing
        # this level for debug messages is considered a bad practice and shall
        # be avoided.
        ERROR = 'ERROR'
        
        # The WARN level designates potentially harmful situations. Nevertheless
        # these situations still allow the application to continue running.
        #
        # This level may be configured in production environment only for
        # a reasonably short time (i.e. to track down a bug).
        WARNING = 'WARNING'
        
        # The INFO level designates informational messages that highlight the
        # progress of the application at coarse-grained level.
        #
        # This level should not be configured in production environment, only
        # in testing and development environments.
        INFO = 'INFO'
        
        # The DEBUG Level designates fine-grained informational events that are
        # most useful to debug an application.
        #
        # This level should not be configured in production environment, only
        # in testing and development environments.
        DEBUG = 'DEBUG'
        
      end
    end
  end
end
