require 'log4r/MDC'

module UU
  module OS
    class Logger

      # Provider for logger mapped diagnostic context.
      # @private
      module MDCProvider
        extend self

        def get( a_key )
          Log4r::MDC.get(a_key)
        end

        def get_context()
          Log4r::MDC.get_context
        end

        def put( a_key, a_value )
          Log4r::MDC.put(a_key, a_value)
        end

        def remove( a_key )
          Log4r::MDC.remove(a_key)
        end

      end
    end
  end
end
